Net Framework 4.5

kkay

Well-Known Member
#1
Did they fix all of the vulnerabilities on this? I know if you download it, you will have to install security updates for it. I am hesitant to update to that, if they are having problems. I believe I have version 4. I did not see it on Add or Remove Programs though. I saw none listed.
 


Josephur

Windows Forum Admin
Staff member
Premium Supporter
#2
Do you even need the framework? If you're not using any apps that require .NET Framework 4.5 to be installed then you can safely just not install it.
 


kkay

Well-Known Member
#3
I have a My Passport external hard drive. I have not been able to successfully back up using their software. Their tech support said I need Net Framework for it to work properly. I thought I would get the most up to date kind. He said I must have version 4.
If I go to search bar and type in C:\Windows\Microsoft.NET it pulls up that folder. Then double click Framework64, it shows v4 there. But as I said, I don't see that on Add or Remove Programs. The hard drive software shows it is backing up, but it is not. I made a test document in My Documents, just to see. I ran their software, and it did not backup at all. (it says it is backed up, but it does nothing) For a while I thought this was working, but after I clicked on the folder for documents, it was not all there. I finally had to right click, and send to the My Passport drive.
 


davidhk129

Senior Member
#4
I believe I have version 4. I did not see it on Add or Remove Programs though. I saw none listed.
Open Windows Update > View Update History.
 


kkay

Well-Known Member
#5
I already thought of that. It shows no updates in the updates history. Then you look at updates installed, and it has quite a few listed. None say Net Framework. I read somewhere that net framework was in Win8 or 8.1....as there is a folder for that. I guess when I deleted old windows stuff for Win8, it removed update history. (through a disk clean administrator process) But the updates show installed.
 


davidhk129

Senior Member
#6
http://msdn.microsoft.com/en-us/library/hh506443(v=vs.110).aspx
excerpt:
If you are using the Windows operating system, the .NET Framework may already be installed on your computer. Specifically, the .NET Framework 4.5 is included with Windows 8 and installed on your computer with the Windows 8 operating system. Similarly, the .NET Framework 4.5.1 is included with Windows 8.1.
 


kkay

Well-Known Member
#7
If I go to Windows Features, turn on or off...you see two listed. It shows net framework 3.5 and below, then it shows 4.5...they were both enabled, although I didn't do it, it must be the default. It did not list .net framework 4 though. The first one showed the ones below 3.5 in parenthesis. The bullet on v4.5 did not show v4 in parenthesis. I do not know if it shows up in Windows Features, that is is there, or it is just enabled if I get it. This is confusing to me.
 


kkay

Well-Known Member
#9
Thank you. I looked at that. They did not have the same Windows Features selections that I did. Well, the net framework issue must not be the problem, with the WD Smartware backups then. Thanks for all the help here. This forum is AWESOME.
 


#10
You are welcome.
Sorry I cannot solve your original issue.
 


This website is not affiliated, owned, or endorsed by Microsoft Corporation. It is a member of the Microsoft Partner Program.
Top